# $Revision: 1.9 $, $Date: 2002/07/14 18:34:55 $
Summary:	NetCDF: Network Common Data Form
Summary(pl):	NetCDF: obsuga wsplnego sieciowego formatu danych
Name:		netcdf
Version:	3.5.0
Release:	2
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.Z
Patch0:		%{name}-shared.patch
Patch1:         %{name}-makefile.patch
URL:		http://unidata.ucar.edu/packages/netcdf/
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	gcc-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetCDF (network Common Data Form) is an interface for array-oriented
data access and a library that provides an implementation of the
interface. The netCDF library also defines a machine-independent
format for representing scientific data. Together, the interface,
library, and format support the creation, access, and sharing of
scientific data. The netCDF software was developed at the Unidata
Program Center in Boulder, Colorado.

%description -l pl
NetCDF (Network Common Data Form) jest interfejsem dostpu do danych
zorganizowanych w tablice. Biblioteka netCDF definiuje niezaleny od
maszyny format reprezentowania danych naukowych. Interfejs oraz
biblioteka pozwalaj na tworzenie, dostp i wspdzielenie danych.
NetCDF powsta w Unidata Program Center w Boulder, Colorado.

%package devel
Summary:	Header files for netCDF
Summary(pl):	Pliki nagwkowe netCDF
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for netCDF.

%description devel -l pl
Pliki nagwkowe do biblioteki netCDF.

%package static
Summary:	NetCDF - static libraries
Summary(pl):	Biblioteki statyczne netCDF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of netCDF libraries.

%description static -l pl
Statyczne wersje bibliotek netCDF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cd src

CFLAGS="%{rpmcflags} -Df2cFortran"
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_mandir}}

cd src
%{__make} install prefix=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

# remove unwanted path from libtool script
cat $RPM_BUILD_ROOT%{_libdir}/libnetcdf_c++.la | \
	awk '/^dependency_libs/ { gsub("-L[ \t]*[^ \t]*/\.libs ","") } //' \
	>$RPM_BUILD_ROOT%{_libdir}/libnetcdf_c++.la.tmp
mv -f $RPM_BUILD_ROOT%{_libdir}/libnetcdf_c++.la.tmp \
	$RPM_BUILD_ROOT%{_libdir}/libnetcdf_c++.la

# resolve man names conflict
mv -f $RPM_BUILD_ROOT%{_mandir}/man3/netcdf.3f \
	$RPM_BUILD_ROOT%{_mandir}/man3/netcdff.3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc COMPATIBILITY COPYRIGHT README RELEASE_NOTES cxx/cxxdoc.ps fortran/cfortran.doc
%{_includedir}/*
%{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netcdf.spec,v $
Revision 1.9  2002/07/14 18:34:55  kloczek
- use new %doc.

Revision 1.8  2002/04/14 20:27:01  marcus
- rel.2.

Revision 1.7  2002/04/14 20:26:22  marcus
- %%configure2_13
- fix for cxx makefile
- stbr

Revision 1.6  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/13 18:56:32  qboosh
- adapterized, BuildRequires: libtool

Revision 1.3  2001/04/04 22:17:12  qboosh
- updated to 3.5.0
- use %%rpmcflags

Revision 1.2  2001/03/14 20:52:59  kloczek
- corrected Source url.

Revision 1.1  2001/03/14 17:43:08  qboosh
- spec written from scratch
